package com.tencent.edu.module.audiovideo.widget

/**
 * 5.1 高招会 AV音视频直播房间
 * @author aidanyang
 * @date 2020-04-29
 */
class RecruitAvActivity : EduAVActivity() {

    override fun getClassroomPortrait(): ClassroomPortrait {
        return RecruitClassroomPortrait(this)
    }

    override fun getLivePresenter(): LivePresenter {
        return RecruitLivePresenter(this, mClassRoom)
    }

    override fun uninitViews() {
        (mClassroomPortrait as RecruitClassroomPortrait?)?.onDestroy()
        super.uninitViews()
    }

    override fun isRecruitCourse(): Boolean {
        return (mClassroomPortrait as RecruitClassroomPortrait?)?.isRecruitCourse ?: false
    }

    // 5.1 高招会 高招会不显示画中画
    override fun setPIPVisible(v: Boolean) {
        if (isRecruitCourse) {
            return
        }

        super.setPIPVisible(v)
    }

    // 5.1 高招会 不显示老师开摄像头toast
    override fun showToast() {
        if (isRecruitCourse) {
            return
        }

        super.showToast()
    }

}